Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
webcam::StorageManager::ImageUploadStartedEvent Struct Reference

Event: image upload to storage started. More...

`import <StorageManager.idl;`

Inheritance diagram for webcam::StorageManager::ImageUploadStartedEvent:

## Public Attributes
Webcam | webcam
| webcam object
string | folderUrl
| URL under which the containing folder can be accessed.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: image upload to storage started.

Definition at line 97 of file StorageManager.idl.

## Member Data Documentation

## ◆ folderUrl

string webcam::StorageManager::ImageUploadStartedEvent::folderUrl

URL under which the containing folder can be accessed.

Definition at line 99 of file StorageManager.idl.

## ◆ webcam

Webcam webcam::StorageManager::ImageUploadStartedEvent::webcam

webcam object

Definition at line 98 of file StorageManager.idl.

The documentation for this struct was generated from the following file:

- StorageManager.idl